<div class="content" fxLayout="column" fxLayoutGap="10px">
  <div>
    <p>
      This example is taken from
      <a
        href="https://angularfirebase.com/lessons/firebase-storage-with-angularfire-dropzone-file-uploader/"
        target="_blank"
        >AngularFirebase.com</a
      >
    </p>
  </div>
  <div
    class="dropzone"
    appDropZone
    (hovered)="toggleHover($event)"
    (dropped)="startUpload($event)"
    [class.hovering]="isHovering"
  >
    <h3>AngularFire Drop Zone</h3>
    <div class="file">
      <!-- <label class="mat-secondary mat-raised mat-button bring-forward" md-ink-ripple for="xFile">
          <span>Select File</span>
     </label>
     <input type="file" ngf-select ng-model="xFile" name="xFile" id="xFile" class="file-input-hide"> -->
      <label class="file-label">
        <input
          class="file-input"
          type="file"
          (change)="startUpload($event.target.files)"
        />
        <span class="file-cta">
          <span class="file-icon"> <i class="fa fa-upload"></i> </span>
          <span class="file-label"> or choose a file… </span>
        </span>
      </label>
    </div>
  </div>

  <div *ngIf="(percentage | async) as pct">
    <mat-progress-bar mode="determinate" [value]="pct"></mat-progress-bar>
  </div>

  <div *ngIf="(snapshot | async) as snap">
    {{ snap.bytesTransferred | fileSize }} of {{ snap.totalBytes | fileSize }}

    <div *ngIf="(downloadURL | async) as url">
      <h3>Results!</h3>
      <img class="previewImage" [src]="url" /> <br />
      <a mat-button [href]="url" target="_blank" rel="noopener">Download Me!</a>
    </div>

    <button
      mat-raised-button
      color="primary"
      (click)="task.pause()"
      [disabled]="!isActive(snap)"
    >
      Pause
    </button>
    <button
      mat-raised-button
      color="warn"
      (click)="task.cancel()"
      [disabled]="!isActive(snap)"
    >
      Cancel
    </button>
    <button
      mat-raised-button
      color="accent"
      (click)="task.resume()"
      [disabled]="!(snap?.state === 'paused')"
    >
      Resume
    </button>
  </div>
</div>
